GWT 2.7.0

## com.google.gwt.dom.builder.client
Class DomMediaBuilderBase<R extends MediaBuilder<?>,E extends MediaElement>

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<R,E>
              com.google.gwt.dom.builder.client.DomMediaBuilderBase<R,E>

Type Parameters:
  `R` - the builder type returned from build methods
  `E` - the `MediaElement` type

All Implemented Interfaces:
  ElementBuilderBase<R>, MediaBuilder<R>

Direct Known Subclasses:
  DomAudioBuilder, DomVideoBuilder

    public class DomMediaBuilderBase<R extends MediaBuilder<?>,E extends MediaElement>

extends DomElementBuilderBase<R,E>
implements MediaBuilder<R>

Base class for HTML-based implementations of `MediaBuilder`.

Constructor Summary
`DomMediaBuilderBase(DomBuilderImpl delegate)`

Method Summary
`R` | `autoplay()` Enable autoplay of the resource.
`R` | `controls()` Enable interactive controls.
`R` | `loop()` Enable looping.
`R` | `muted()` Enable muting.
`R` | `preload(java.lang.String preload)` Set the preload setting to one of `MediaElement.PRELOAD_AUTO`, `MediaElement.PRELOAD_METADATA`, or `MediaElement.PRELOAD_NONE`.
`R` | `src(java.lang.String url)` Sets the source URL for the media.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomMediaBuilderBase

    DomMediaBuilderBase(DomBuilderImpl delegate)

Method Detail

### autoplay

    public R autoplay()

  Description copied from interface: `MediaBuilder`
  Enable autoplay of the resource.

  Specified by:
    `autoplay` in interface `MediaBuilder<R extends MediaBuilder<?>>`

### controls

    public R controls()

  Description copied from interface: `MediaBuilder`
  Enable interactive controls.

  Specified by:
    `controls` in interface `MediaBuilder<R extends MediaBuilder<?>>`

### loop

    public R loop()

  Description copied from interface: `MediaBuilder`
  Enable looping.

  Specified by:
    `loop` in interface `MediaBuilder<R extends MediaBuilder<?>>`

### muted

    public R muted()

  Description copied from interface: `MediaBuilder`
  Enable muting.

  Specified by:
    `muted` in interface `MediaBuilder<R extends MediaBuilder<?>>`

### preload

    public R preload(java.lang.String preload)

  Description copied from interface: `MediaBuilder`
  Set the preload setting to one of `MediaElement.PRELOAD_AUTO`, `MediaElement.PRELOAD_METADATA`, or `MediaElement.PRELOAD_NONE`.

  Specified by:
    `preload` in interface `MediaBuilder<R extends MediaBuilder<?>>`
  Parameters:
    `preload` - a String constants

### src

    public R src(java.lang.String url)

  Description copied from interface: `MediaBuilder`
  Sets the source URL for the media.

  Specified by:
    `src` in interface `MediaBuilder<R extends MediaBuilder<?>>`

GWT 2.7.0